Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.util
Class LoggingUtils

    java.lang.Object
      org.apache.muse.util.LoggingUtils

public class LoggingUtils
extends java.lang.Object

LoggingUtils is a collection of methods creating and using log files via the JDK logging API.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`LoggingUtils()`

Method Summary
`static void` | `logCall(java.util.logging.Logger log, java.lang.reflect.Method method, java.lang.Object[] parameters)` Writes a nicely-formatted message that shows what parameter types were expected by the Java method and what types were actually used.
`static void` | `logError(java.util.logging.Logger log, java.lang.Throwable error)` Writes a nicely-formatted message and stack trace to the given log using the information in the given exception.
`static void` | `logMessage(java.util.logging.Logger log, org.w3c.dom.Node soap, boolean incoming)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingUtils

    public LoggingUtils()

Method Detail

### logCall

    public static void logCall(java.util.logging.Logger log,
                               java.lang.reflect.Method method,
                               java.lang.Object[] parameters)

  Writes a nicely-formatted message that shows what parameter types were expected by the Java method and what types were actually used. The format of the message is:
  `Mapping SOAP request to Java method 'myMethodName':
  Parameter types expected by Java method:
  [the expected parameter types]
  Parameter types received by the MessageHandler:
  [the actual parameter types]
  Messages about this call will appear below...
  `

  Parameters:
    `log` - The Logger that will record the message.
    `method` - The Java method being invoked at the time of the error.
    `parameters` - The parameter values that were provided by the MessageHandler to the Java method.

### logError

    public static void logError(java.util.logging.Logger log,
                                java.lang.Throwable error)

  Writes a nicely-formatted message and stack trace to the given log using the information in the given exception. The format of the message is:
  `There was an error while processing a request:
  the exception message
  the stack trace, limited to 15 levels
  ------------------------------------------
  `

  Parameters:
    `log` - The Logger that will record the message.
    `error` - The exception providing the message and stack trace.

### logMessage

    public static void logMessage(java.util.logging.Logger log,
                                  org.w3c.dom.Node soap,
                                  boolean incoming)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD